---
layout: default
title: Choose your GitLab distribution
description: "Find out the differences between the GitLab Enterprise and GitLab Community distributions so you can decide which may suit you best. Learn more!"
canonical_path: "/install/ce-or-ee/"
suppress_header: true
extra_css:
  - installation.css
extra_js:
  - installation-ce.js
---
.wrapper
  .page-illustrated-header-container
    = partial "includes/icons/gitlab-icon-pattern-header.svg"
    .container
      .header-container-content
        %h1 Which GitLab distribution is right for you?
  #content
    .wrapper.container{role: "main"}
      .method
        .method-content
          %ul
            %li
              %h2.block-title Introduction
              %p
                GitLab comes in two distributions: the Enterprise Edition and the Community Edition.
                If you're interested in using GitLab, we recommend you
                = succeed '.' do
                  %a#ee_link1{:title => '', :href => '/installation'}download and install GitLab Enterprise Edition
              %p
                The Enterprise Edition is available for free and includes all of the features available in the Community Edition, without the need to register or obtain a license. If you decide to upgrade to a paid tier and unlock additional features, you will be able to do this more easily if you are already on the Enterprise Edition.

              %h2.block-title License model
              %p
                GitLab is built on an open core model. GitLab Community Edition is open source, with an MIT Expat license. 
                GitLab Enterprise Edition is built on top of Community Edition. 
              %p
                GitLab Enterprise Edition uses the same <i>core</i>, but adds additional features 
                and functionality on top of that. These additional features are under a proprietary 
                license that makes the code published source-available. For more information, you can find
                = succeed '.' do
                  %a#ce_link{:title => '', :href => 'https://gitlab.com/gitlab-org/gitlab/blob/master/LICENSE'}GitLab's license here
              %p
                For both distributions: All javascript code in GitLab is open source. All javascript code written by
                GitLab is under the same MIT Expat license.

              %h2.block-title Why use Enterprise Edition
              %p
                If you have installed the Free tier of GitLab Enterprise Edition, you will get all the same features that are in the Community Edition distribution, but you have additional advantages:
              .about-ce
                %ol
                  %li
                    %p
                      If at any point in time you'd like to trial 
                      = succeed ',' do
                        %a#ee_link1{:title => '', :href => '/features/by-paid-tier/'}paid features
                      you can do this without setting up a new instance or upgrading your existing instance.
                      You simply enable the trial from within GitLab. If you're not satisfied
                      with the paid features, your instance will automatically revert back to the Free tier
                      features after the trial has expired.
                  %li
                    %p
                      To upgrade from Community Edition to Enterprise Edition you will have
                      to make sure you're on the same version and follow specific steps, which often requires downtime.
                      If you are using Enterprise Edition, upgrading to paid features
                      is a matter of a single click.
              %p
                = succeed '.' do
                  %a#ee_link3{:title => '', :href => '/installation'}Install GitLab Enterprise Edition

              %h2.block-title Why use Community Edition
              %p
                If you only want to download open source software, Community Edition is the best choice. This distribution does not
                contain proprietary code. Functionally, it will have the same features as the Free tier in the Enterprise Edition.
              %p
                Note that in the future, if you decide to move to Enterprise Edition, an upgrade is required and may require downtime.
              %p
                = succeed '.' do
                  %a#ce_link{:title => '', :href => '/install/?version=ce'}Install GitLab Community Edition
